{{ ansible_managed | comment }}
127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4 ip4-localhost ip4-loopback
::1         localhost localhost.localdomain localhost6 localhost6.localdomain6 ip6-localhost ip6-loopback

# The following lines are desirable for IPv6 capable hosts
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

{% for host in hostsfile_hosts %}
{% set ipv6_list = query('community.general.dig', host, 'qtype=AAAA') %}
{% set ipv4_list = query('community.general.dig', host, 'qtype=A') %}
{% for ip in (ipv6_list | union(ipv4_list) | ansible.utils.ipaddr) %}
{% set short_name = host.split('.')[0] %}
{{ "%-39s" | format(ip) }} {{ host }} {{ short_name }}
{% endfor %}
{% endfor %}

{%- for ip, hosts in hostsfile_hosts_additional.items() %}
{{ "%-39s" | format(ip) }} {{ hosts | join(' ') }}
{% endfor %}
